Bug 452707 - [Wayland] Moving files from one partition to another with Dolphin results in a Plasma memory leak that can potentially make the whole computer unusable
Summary: [Wayland] Moving files from one partition to another with Dolphin results in ...
Status: CONFIRMED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 22.04.0
Platform: Archlinux Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2022-04-17 21:23 UTC by kqnum
Modified: 2022-05-25 20:39 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kqnum 2022-04-17 21:23:45 UTC
SUMMARY
Moving one or more files with Dolphin in a Wayland session from one partition to another causes a memory leak in the plasmashell process.


STEPS TO REPRODUCE
1. Cut one or more files by pressing Ctrl + X, or right clicking and selecting Cut
2. Paste the files with into a directory on a partition that is different from the files that were moved.

OBSERVED RESULT
The plasmashell process continuously consumes more memory, and takes more CPU until the dolphin window is closed. The leaked memory is not returned even after the window is closed. The CPU usage returns back to normal after the window is closed.

EXPECTED RESULT
There should be no additional memory or CPU usage after a file is done moving.

SOFTWARE/OS VERSIONS
Linux: EndeavourOS, Kernel 5.17.3
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3

ADDITIONAL INFORMATION
This bug only occurs in Wayland sessions, and not Xorg.
It occurs in both ext4 partitions, and btrfs partitions.
It doesn't occur when copying files. It also doesn't occur when only a folder is moved. When moving both a file and a folder in the same operation, the bug doesn't occur.
Comment 1 Patrick Silva 2022-04-18 00:12:54 UTC
This bug happened a few days ago on my Arch Linux. I have 7.7 GiB of ram, plasmashell process
was using 6.9 GiB after moving some videos from an ext4 partition to a ntfs partition of another hard disk
and my system became unusable. I also was using Wayland. I can't reproduce this memory leak consistently though.

SOFTWARE/OS VERSIONS
Linux: Arch Linux
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Comment 2 Patrick Silva 2022-05-03 12:12:34 UTC
Yesterday Plasma made my computer running Dolphin 22.04 to freeze completely because this memory leak after moving a video from a usb flash drive to my internal hard disk. 

Operating System: Arch Linux
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Graphics Platform: Wayland
Comment 3 guimarcalsilva 2022-05-25 20:33:22 UTC
I can confirm this happens.

There are a few interesting things:

1. The memory on plasmashell only starts increasing after the moving operation is complete.
2. If you close Dolphin while it's increasing, it stops increasing, but it doesn't free up the memory it used either.
3. As reported in the original message, it only happens when Cutting and pasting files, not copying.
4. When I clicked on the panel after closing Dolphin, the shell crashed with the following output:

Application: Plasma (plasmashell), signal: Segmentation fault

[New LWP 39581]
[New LWP 39495]
[New LWP 39457]
[New LWP 39436]
[New LWP 39437]
[New LWP 39607]
[New LWP 39580]
[New LWP 39603]
[New LWP 39435]
[New LWP 39439]
[New LWP 39604]
[New LWP 39441]
[New LWP 39442]
[New LWP 39644]
[New LWP 39443]
[New LWP 39444]
[New LWP 39445]
[New LWP 39446]
[New LWP 39447]
[New LWP 39448]
[New LWP 39456]
[New LWP 39458]
[New LWP 39497]
[New LWP 39579]
[New LWP 39602]
[New LWP 39605]
[New LWP 39606]
[New LWP 39438]
[New LWP 39494]
[New LWP 39440]
[New LWP 39496]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/plasmashell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=<optimized out>) at ../sysdeps/unix/sysv/linux/raise.c:50
[Current thread is 1 (Thread 0x7f473b7fe700 (LWP 39581))]
__preamble__
[Current thread is 1 (Thread 0x7f473b7fe700 (LWP 39581))]

Thread 31 (Thread 0x7f474b42d700 (LWP 39496)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e42ba26700) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e42ba266b0, cond=0x55e42ba266d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e42ba266d8, mutex=0x55e42ba266b0) at pthread_cond_wait.c:647
#3  0x00007f47b92ff6db in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e42ba266b0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55e42bb2c258, mutex=mutex@entry=0x55e42bb2c250, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f47baf88214 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55e42bb2c248) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55e42bb2c1b0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f47baf88689 in QSGRenderThread::run() (this=0x55e42bb2c1b0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e42bb2c1b0) at thread/qthread_unix.cpp:331
#9  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7f47b0947700 (LWP 39440)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e4298ff850) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e4298ff800, cond=0x55e4298ff828) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e4298ff828, mutex=0x55e4298ff800) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7f4765c13700 (LWP 39494)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e42bba3dc4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e42bba3d70, cond=0x55e42bba3d98) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e42bba3d98, mutex=0x55e42bba3d70) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7f47b3448700 (LWP 39438)):
#0  0x00007f47b8f6999f in __GI___poll (fds=0x7f47a8004a60, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f47b77f636e in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f47b77f64a3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f47b953ac72 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f47a8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f47b94deeab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f47b3447bb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f47b92f8462 in QThread::exec() (this=this@entry=0x7f47ba01bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f47b9f97f4b in QDBusConnectionManager::run() (this=0x7f47ba01bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x7f47ba01bd80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7f47277fe700 (LWP 39606)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f47277fdb50, clockid=<optimized out>, expected=0, futex_word=0x55e434d3fc74) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f47277fdb50, clockid=<optimized out>, mutex=0x55e434d3fc20, cond=0x55e434d3fc48) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55e434d3fc48, mutex=0x55e434d3fc20, abstime=0x7f47277fdb50) at pthread_cond_wait.c:665
#3  0x00007f47b92ff668 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x55e434d3fc20, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e434d3fc20) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55e434a434f0, mutex=mutex@entry=0x55e429b65b48, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f47b92fcb71 in QThreadPoolThread::run() (this=0x55e434a434e0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e434a434e0) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7f4727fff700 (LWP 39605)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f4727ffeb50, clockid=<optimized out>, expected=0, futex_word=0x55e434c801e0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f4727ffeb50, clockid=<optimized out>, mutex=0x55e434c80190, cond=0x55e434c801b8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55e434c801b8, mutex=0x55e434c80190, abstime=0x7f4727ffeb50) at pthread_cond_wait.c:665
#3  0x00007f47b92ff668 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x55e434c80190, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e434c80190) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55e434c78cc0, mutex=mutex@entry=0x55e429b65b48, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f47b92fcb71 in QThreadPoolThread::run() (this=0x55e434c78cb0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e434c78cb0) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7f4739ffb700 (LWP 39602)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f4739ffab50, clockid=<optimized out>, expected=0, futex_word=0x55e429b94db4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f4739ffab50, clockid=<optimized out>, mutex=0x55e429b94d60, cond=0x55e429b94d88) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55e429b94d88, mutex=0x55e429b94d60, abstime=0x7f4739ffab50) at pthread_cond_wait.c:665
#3  0x00007f47b92ff668 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x55e429b94d60, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e429b94d60) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55e4299f71b0, mutex=mutex@entry=0x55e429b65b48, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f47b92fcb71 in QThreadPoolThread::run() (this=0x55e4299f71a0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e4299f71a0) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7f473affd700 (LWP 39579)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e434aec8c4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e434aec870, cond=0x55e434aec898) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e434aec898, mutex=0x55e434aec870) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7f474a6b1700 (LWP 39497)):
#0  0x00007f47b8f6999f in __GI___poll (fds=0x7f4740006150, nfds=1, timeout=3498398) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f47b77f636e in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f47b77f64a3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f47b953ac72 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4740000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f47b94deeab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f474a6b0ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f47b92f8462 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f474a7910bc in KCupsConnection::run() () at /lib/x86_64-linux-gnu/libkcupslib.so
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e42bd4ff30) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7f47677fe700 (LWP 39458)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429e83434) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e429e833e0, cond=0x55e429e83408) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e429e83408, mutex=0x55e429e833e0) at pthread_cond_wait.c:647
#3  0x00007f47b92ff6db in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e429e833e0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x7f47a800e298, mutex=mutex@entry=0x7f47a800e290, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f47baf88214 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x7f47a800e288) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x7f47a800e1f0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f47baf88689 in QSGRenderThread::run() (this=0x7f47a800e1f0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x7f47a800e1f0) at thread/qthread_unix.cpp:331
#9  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f476c8fb700 (LWP 39456)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429ec37f0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e429ec37a0, cond=0x55e429ec37c8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e429ec37c8, mutex=0x55e429ec37a0) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f4795046700 (LWP 39448)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429902c90) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e429902c40, cond=0x55e429902c68) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e429902c68, mutex=0x55e429902c40) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f4795847700 (LWP 39447)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429902c90) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e429902c40, cond=0x55e429902c68) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e429902c68, mutex=0x55e429902c40) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f4796048700 (LWP 39446)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429902c90) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e429902c40, cond=0x55e429902c68) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e429902c68, mutex=0x55e429902c40) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f4796849700 (LWP 39445)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429902704) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e4299026b0, cond=0x55e4299026d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e4299026d8, mutex=0x55e4299026b0) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f47a0b30700 (LWP 39444)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429902700) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e4299026b0, cond=0x55e4299026d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e4299026d8, mutex=0x55e4299026b0) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f47a1331700 (LWP 39443)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429902700) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e4299026b0, cond=0x55e4299026d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e4299026d8, mutex=0x55e4299026b0) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f476e0d0700 (LWP 39644)):
#0  0x00007f47b8f7646e in epoll_wait (epfd=47, events=0x7f476e0cf7f0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f476d8b52fb in  () at /usr/lib/x86_64-linux-gnu/spa-0.2/support/libspa-support.so
#2  0x00007f476d8c0874 in  () at /usr/lib/x86_64-linux-gnu/spa-0.2/support/libspa-support.so
#3  0x00007f476e157a78 in  () at /lib/x86_64-linux-gnu/libpipewire-0.3.so.0
#4  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f47a1b32700 (LWP 39442)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429902704) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e4299026b0, cond=0x55e4299026d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e4299026d8, mutex=0x55e4299026b0) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f47a2333700 (LWP 39441)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e42983d0e8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e42983d098, cond=0x55e42983d0c0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e42983d0c0, mutex=0x55e42983d098) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f4738ff9700 (LWP 39604)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f4738ff8b50, clockid=<optimized out>, expected=0, futex_word=0x55e434c7fe50) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f4738ff8b50, clockid=<optimized out>, mutex=0x55e434c7fe00, cond=0x55e434c7fe28) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55e434c7fe28, mutex=0x55e434c7fe00, abstime=0x7f4738ff8b50) at pthread_cond_wait.c:665
#3  0x00007f47b92ff668 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x55e434c7fe00, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e434c7fe00) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55e42da19d70, mutex=mutex@entry=0x55e429b65b48, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f47b92fcb71 in QThreadPoolThread::run() (this=0x55e42da19d60) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e42da19d60) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f47b21dc700 (LWP 39439)):
#0  0x00007f47b8f6999f in __GI___poll (fds=0x7f479c004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f47b77f636e in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f47b77f64a3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f47b953ac72 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f479c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f47b94deeab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f47b21dbbc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f47b92f8462 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f47bab25689 in  () at /lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e4295c5ad0) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f47b509a9c0 (LWP 39435)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e42da21a54) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e42da21a00, cond=0x55e42da21a28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e42da21a28, mutex=0x55e42da21a00) at pthread_cond_wait.c:647
#3  0x00007f47b92ff6db in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e42da21a00) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55e434a514e8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f47baf86807 in QSGThreadedRenderLoop::polishAndSync(QSGThreadedRenderLoop::Window*, bool) (this=this@entry=0x55e429785c00, w=w@entry=0x55e434aca210, inExpose=inExpose@entry=true) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007f47baf876f8 in QSGThreadedRenderLoop::handleExposure(QQuickWindow*) (this=0x55e429785c00, window=<optimized out>) at scenegraph/qsgthreadedrenderloop.cpp:1375
#7  0x00007f47baf8810b in QSGThreadedRenderLoop::exposureChanged(QQuickWindow*) (this=0x55e429785c00, window=0x55e42a145c40) at scenegraph/qsgthreadedrenderloop.cpp:1269
#8  0x00007f47b98d31ed in QWindow::event(QEvent*) (this=this@entry=0x55e42a145c40, ev=ev@entry=0x7fff022c3540) at kernel/qwindow.cpp:2438
#9  0x00007f47baff2efb in QQuickWindow::event(QEvent*) (this=0x55e42a145c40, e=0x7fff022c3540) at items/qquickwindow.cpp:1901
#10 0x00007f47bb9043f2 in PlasmaQuick::Dialog::event(QEvent*) () at /lib/x86_64-linux-gnu/libKF5PlasmaQuick.so.5
#11 0x00007f47b0092caa in ToolTipDialog::event(QEvent*) (this=0x55e42a145c40, e=0x7fff022c3540) at ./src/declarativeimports/core/tooltipdialog.cpp:89
#12 0x00007f47ba202dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55e4294b2880, receiver=receiver@entry=0x55e42a145c40, e=e@entry=0x7fff022c3540) at kernel/qapplication.cpp:3637
#13 0x00007f47ba20bbd8 in QApplication::notify(QObject*, QEvent*) (this=0x7fff022c3940, receiver=0x55e42a145c40, e=0x7fff022c3540) at kernel/qapplication.cpp:3161
#14 0x00007f47b94e03aa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55e42a145c40, event=0x7fff022c3540) at ../../include/QtCore/5.15.4/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:332
#15 0x00007f47b98c8c13 in QGuiApplicationPrivate::processExposeEvent(QWindowSystemInterfacePrivate::ExposeEvent*) (e=0x55e434c936c0) at kernel/qguiapplication.cpp:3258
#16 0x00007f47b98c8e4b in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=0x55e434c936c0) at kernel/qguiapplication.cpp:2070
#17 0x00007f47b989f85c in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=...) at kernel/qwindowsysteminterface.cpp:1169
#18 0x00007f47b7386ca4 in  () at /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#19 0x00007f47b77f617d in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f47b77f6400 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f47b77f64a3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f47b953ac72 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55e4294d0f90, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#23 0x00007f47b94deeab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fff022c3820, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#24 0x00007f47b94e7054 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#25 0x000055e4281383f0 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:240

Thread 8 (Thread 0x7f47397fa700 (LWP 39603)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f47397f9b50, clockid=<optimized out>, expected=0, futex_word=0x55e434c7faa0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f47397f9b50, clockid=<optimized out>, mutex=0x55e434c7fa50, cond=0x55e434c7fa78) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55e434c7fa78, mutex=0x55e434c7fa50, abstime=0x7f47397f9b50) at pthread_cond_wait.c:665
#3  0x00007f47b92ff668 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x55e434c7fa50, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e434c7fa50) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55e434c60cd0, mutex=mutex@entry=0x55e429b65b48, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f47b92fcb71 in QThreadPoolThread::run() (this=0x55e434c60cc0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e434c60cc0) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f473a7fc700 (LWP 39580)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e434bbcd20) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e434bbccd0, cond=0x55e434bbccf8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e434bbccf8, mutex=0x55e434bbccd0) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f4726ffd700 (LWP 39607)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f4726ffcb50, clockid=<optimized out>, expected=0, futex_word=0x55e42da14bd4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f4726ffcb50, clockid=<optimized out>, mutex=0x55e42da14b80, cond=0x55e42da14ba8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55e42da14ba8, mutex=0x55e42da14b80, abstime=0x7f4726ffcb50) at pthread_cond_wait.c:665
#3  0x00007f47b92ff668 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x55e42da14b80, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e42da14b80) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55e434c5d800, mutex=mutex@entry=0x55e429b65b48, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f47b92fcb71 in QThreadPoolThread::run() (this=0x55e434c5d7f0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e434c5d7f0) at thread/qthread_unix.cpp:331
#8  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f47b3d4d700 (LWP 39437)):
#0  0x00007f47b8f6999f in __GI___poll (fds=0x7f47b3d4cbe0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f47b7346bd6 in  () at /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#2  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e4294d1000) at thread/qthread_unix.cpp:331
#3  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#4  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f47b454e700 (LWP 39436)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e4294d01e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e4294d0190, cond=0x55e4294d01b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e4294d01b8, mutex=0x55e4294d0190) at pthread_cond_wait.c:647
#3  0x00007f47b92ff6db in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55e4294d0190) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55e4294cb128, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f47b7346b7d in  () at /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#6  0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e4294cb0f0) at thread/qthread_unix.cpp:331
#7  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f4767fff700 (LWP 39457)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e429f9e890) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e429f9e840, cond=0x55e429f9e868) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e429f9e868, mutex=0x55e429f9e840) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f474bc2e700 (LWP 39495)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55e42bc4d270) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55e42bc4d220, cond=0x55e42bc4d248) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55e42bc4d248, mutex=0x55e42bc4d220) at pthread_cond_wait.c:647
#3  0x00007f47a263a5eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f47a263a1eb in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f473b7fe700 (LWP 39581)):
[KCrash Handler]
#3  0x00007f47bb7315dc in wl_proxy_marshal () at /lib/x86_64-linux-gnu/libwayland-client.so.0
#4  0x00007f47b0d2f457 in  () at /lib/x86_64-linux-gnu/libEGL_mesa.so.0
#5  0x00007f47b0d24432 in  () at /lib/x86_64-linux-gnu/libEGL_mesa.so.0
#6  0x00007f47b0d1bf41 in  () at /lib/x86_64-linux-gnu/libEGL_mesa.so.0
#7  0x00007f47b0f5bd59 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/wayland-graphics-integration-client/libqt-plugin-wayland-egl.so
#8  0x00007f47b9909f01 in QOpenGLContext::swapBuffers(QSurface*) (this=0x55e434acf7c0, surface=<optimized out>) at kernel/qopenglcontext.cpp:1120
#9  0x00007f47baf8488c in QSGRenderThread::syncAndRender(QImage*) (this=0x55e434a51490, grabImage=0x0) at scenegraph/qsgthreadedrenderloop.cpp:870
#10 0x00007f47baf88647 in QSGRenderThread::run() (this=0x55e434a51490) at scenegraph/qsgthreadedrenderloop.cpp:1043
#11 0x00007f47b92f9643 in QThreadPrivate::start(void*) (arg=0x55e434a51490) at thread/qthread_unix.cpp:331
#12 0x00007f47b8c8d609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007f47b8f76133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95